evaluate.Niche {galgo} | R Documentation

## Evaluates the chromosome using a fitness function

### Description

Evaluate the chromosome using a fitness function. The result of this evaluation is treated as the “fitness” value as defined by Goldberg (see references). The `Galgo` object call this method and store the resulted value in order to decide which chromosomes are better choices to be part of the next generation. The “fitness function” should returns a numeric value scaled from 0 to 1. As close to 1 as better chance it have to be part of the next generation.

### Usage

    ## S3 method for class 'Niche'
    evaluate(.O, fn, parent, ...)

### Arguments

`fn` | The “fitness” function to be called to evaluate all chromosomes. It should follow the format `function(obj, parent) { ... }`.
`parent` | The original object calling for the evaluation. This is passed when the function is sensitive to data stored in parent object. Commonly it is a `BigBang` object (perhaps `Galgo` instead).

### Value

Returns nothing.

### Author(s)

Victor Trevino. Francesco Falciani Group. University of Birmingham, U.K. http://www.bip.bham.ac.uk/bioinf

### References

Goldberg, David E. 1989 Genetic Algorithms in Search, Optimization and Machine Learning. Addison-Wesley Pub. Co. ISBN: 0201157675

### See Also

For more information see `Niche`.

### Examples

      cr <- Chromosome(genes=newCollection(Gene(shape1=1, shape2=100),5))
      cr
      ni <- Niche(chromosomes = newRandomCollection(cr, 10))
      ni
      fn <- function(chr, parent) { sd(as.double(chr))/mean(as.double(chr)) }
      evaluate(ni, fn, parent)
      getFitness(ni) ## see results
      summary(ni)

[Package galgo version 1.4 Index]